Summary:	GeoLite Country - Country database for GeoIP
Summary(pl.UTF-8):	GeoLite Country - baza danych krajów dla GeoIP
Name:		GeoIP-db-Country
# Updated every month:
Version:	2017.01.03
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz?/GeoIP-%{version}.dat.gz
# Source0-md5:	fac676d18785585568312f30b7851657
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz?/GeoIPv6-%{version}.dat.gz
# Source1-md5:	ae7ab8688c92a717ec74597388152fde
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
Requires:	GeoIP-libs >= 1.4.5-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GeoLite Country is similar to the GeoIP Country database, but is not
as accurate. Should you require greater accuracy, GeoIP Country is a
drop-in replacement for GeoLite Country.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
GeoLite Country jest podobna do bazy danych GeoIP Country, ale nie
jest tak dokładna. Jeśli wymagana jest większa dokładność, GeoIP
Country jest zamiennikiem GeoLite Country.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

gzip -d GeoIP-%{version}.dat.gz GeoIPv6-%{version}.dat.gz
dt4=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
dt5=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
if [ "$(echo $dt4 | tr -d .)" -gt "$(echo $dt6 | tr -d .)" ]; then
	ver=$dt4
else
	ver=$dt6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIP-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIP.dat
cp -p GeoIPv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Thu Jan 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-Country.git;a=log;h=master

* Wed Jan 04 2017 Elan Ruusamäe <glen@delfi.ee> fa56735
- updated to 2017.01.03

* Wed Dec 07 2016 Elan Ruusamäe <glen@delfi.ee> 64cdafd
- updated to 2016.12.07

* Tue Dec 06 2016 Elan Ruusamäe <glen@delfi.ee> 0dba82d
- updated to 2016.12.06

* Mon Oct 31 2016 Elan Ruusamäe <glen@delfi.ee> 1ef3a20
- updated to 2016.10.31

* Tue Oct 04 2016 Elan Ruusamäe <glen@delfi.ee> 47383dc
- updated to 2016.10.04

* Fri Sep 30 2016 Elan Ruusamäe <glen@delfi.ee> 0d82914
- updated to 2016.09.30

* Wed Sep 07 2016 Elan Ruusamäe <glen@delfi.ee> e73eecb
- updated to 2016.09.07

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> 2199cf2
- updated to 2016.09.06

* Tue Aug 02 2016 Elan Ruusamäe <glen@delfi.ee> 233b49d
- updated to 2016.08.02

* Wed Jul 06 2016 Elan Ruusamäe <glen@delfi.ee> af548c0
- updated to 2016.07.06

* Tue Jun 07 2016 Adam Osuchowski <adwol@pld-linux.org> a820a9e
- up to 2016.06.07

* Fri Jun 03 2016 Adam Osuchowski <adwol@pld-linux.org> 21d9051
- typo

* Thu May 12 2016 Jan Rękorajski <baggins@pld-linux.org> 37bd499
- release 2 (by relup.sh)

* Tue May 03 2016 Elan Ruusamäe <glen@delfi.ee> d5564df
- updated to 2016.05.03

* Mon Apr 18 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 45d5a25
- up to 20160405

* Thu Mar 03 2016 Elan Ruusamäe <glen@delfi.ee> 76cfcf6
- updated to 2016.03.03

* Tue Feb 02 2016 Elan Ruusamäe <glen@delfi.ee> 1b2e4fb
- updated to 2016.02.02

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 5874f5c
- updated to 2016.01.05

* Mon Dec 21 2015 Elan Ruusamäe <glen@delfi.ee> a77aed1
- update md5

* Tue Dec 01 2015 Elan Ruusamäe <glen@delfi.ee> 62aaa50
- updated to 2015.12.01

